loci.formats.in.LeicaMicrosystemsMetadata

## Class ROI

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.ROI

-     class ROI
      extends java.lang.Object

  This class helps saving ROI information to a reader's MetadataStore
  Author:
    Melissa Linkert melissa at glencoesoftware.com, Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARROW`
    `long` | `color`
    `java.lang.String` | `fontName`
    `java.lang.String` | `fontSize`
    `static int` | `LINE`
    `int` | `linewidth`
    `static long` | `METER_MULTIPLY`
    `java.lang.String` | `name`
    `private boolean` | `normalized`
    `static int` | `POLYGON`
    `static int` | `RECTANGLE`
    `double` | `rotation`
    `static int` | `SCALE_BAR`
    `double` | `scaleX`
    `double` | `scaleY`
    `java.lang.String` | `text`
    `static int` | `TEXT`
    `double` | `transX`
    `double` | `transY`
    `int` | `type`
    `java.util.List<java.lang.Double>` | `x`
    `java.util.List<java.lang.Double>` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `normalize()` Vertices and transformation values are not stored in pixel coordinates.
    `void` | `storeROI(MetadataStore store, int series, int roi, int roiIndex, int sizeX, int sizeY, boolean alternateCenter, MetadataLevel level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT

          public static final int TEXT

      See Also:
        Constant Field Values

    - #### SCALE_BAR

          public static final int SCALE_BAR

      See Also:
        Constant Field Values

    - #### POLYGON

          public static final int POLYGON

      See Also:
        Constant Field Values

    - #### RECTANGLE

          public static final int RECTANGLE

      See Also:
        Constant Field Values

    - #### LINE

          public static final int LINE

      See Also:
        Constant Field Values

    - #### ARROW

          public static final int ARROW

      See Also:
        Constant Field Values

    - #### METER_MULTIPLY

          public static final long METER_MULTIPLY

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### x

          public java.util.List<java.lang.Double> x

    - #### y

          public java.util.List<java.lang.Double> y

    - #### transX

          public double transX

    - #### transY

          public double transY

    - #### scaleX

          public double scaleX

    - #### scaleY

          public double scaleY

    - #### rotation

          public double rotation

    - #### color

          public long color

    - #### linewidth

          public int linewidth

    - #### text

          public java.lang.String text

    - #### fontName

          public java.lang.String fontName

    - #### fontSize

          public java.lang.String fontSize

    - #### name

          public java.lang.String name

    - #### normalized

          private boolean normalized

  - ### Constructor Detail

    - #### ROI

          ROI()

  - ### Method Detail

    - #### storeROI

          public void storeROI(MetadataStore store,
                               int series,
                               int roi,
                               int roiIndex,
                               int sizeX,
                               int sizeY,
                               boolean alternateCenter,
                               MetadataLevel level)

    - #### normalize

          private void normalize()

      Vertices and transformation values are not stored in pixel coordinates. We need to convert them from physical coordinates to pixel coordinates so that they can be stored in a MetadataStore.

Copyright © 2026 Open Microscopy Environment